Summary: NFS-Ganesha 4 packages from the CentOS Storage SIG repository
Name: centos-release-nfs-ganesha4
Version: 1.0
Release: 1%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-NFS-Ganesha-4.repo
BuildArch: noarch

%if 0%{?centos} >= 8
# $contentdir for altarch support was added with CentOS-7.5
Requires: centos-release >= 7-5.1804.el8.centos.2
%endif
# This provides the public key to verify the RPMs
Requires: centos-release-storage-common

Provides: centos-release-nfs-ganesha = 4

%description
yum configuration for NFS-Ganesha 4 packages from the CentOS Storage SIG.
NFS-Ganesha 4 will receive updates for approximately 12 months. For more
details about the release and maintenance schedule, see
https://github.com/nfs-ganesha/nfs-ganesha/wiki

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-NFS-Ganesha-4.repo
%if 0%{?centos} < 8
sed -i 's/i\$contentdir/centos/g' %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-NFS-Ganesha-4.repo
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-NFS-Ganesha-4.repo

%changelog
* Wed Nov 17 2021 Kaleb S KEITHLEY <kkeithle at redhat.com> - 1.0-1
- ganesha 4, c8stream

